/*******************************************************************************
 * SoundNodeOscillator generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SoundNodeOscillator extends SoundNode
    native(Sound)
    editinlinenew
    hidecategories(Object,Object);

var(Oscillator) bool bModulateVolume;
var(Oscillator) bool bModulatePitch;
var(Oscillator) float AmplitudeMin;
var(Oscillator) float AmplitudeMax;
var(Oscillator) float FrequencyMin;
var(Oscillator) float FrequencyMax;
var(Oscillator) float OffsetMin;
var(Oscillator) float OffsetMax;
var(Oscillator) float CenterMin;
var(Oscillator) float CenterMax;
var deprecated RawDistributionFloat Amplitude;
var deprecated RawDistributionFloat Frequency;
var deprecated RawDistributionFloat Offset;
var deprecated RawDistributionFloat Center;
